use reqwest::{blocking::{Client, Response}, Error, StatusCode};

use crate::decoding::CctweakedMessage;

pub fn get_json(url: String) -> Result<String, StatusCode> {
    let resp = reqwest::blocking::get(url)
        .expect("Failed to get json");
    
    let status = resp.status();
    
    match resp.text() {
        Ok(body) => Ok(String::from(body.trim().replace("\\", ""))),
        _ => Err(status)
    }
}

pub fn send_json(url: String, message: CctweakedMessage) -> Result<Response, Error> {
    let client = Client::new();
    let resp = client.post(url)
        .body(serde_json::to_string(&message).expect("Failed to create json from message"))
        .send();
    resp
}